#include <iostream>

using namespace std;

int main()
{
    long long brTestova;
    cin >> brTestova;
	for (long long i = 0; i < brTestova; i++)
	{
		long long brUcenika;
		long long brKremBananica;
		long long brGrupa;
		cin >> brUcenika;
		cin >> brKremBananica;
		cin >> brGrupa;
		long long clanovaPoGrupi = brUcenika / brGrupa;
	    long long prekoracenje = brUcenika % brGrupa;
		if((clanovaPoGrupi*(clanovaPoGrupi+1))/2 *(brGrupa - prekoracenje) + ((clanovaPoGrupi+1)*(clanovaPoGrupi+1+1))/2 * prekoracenje  <= brKremBananica)
		{
		   cout<<"Tak"<<endl;
		}
		else
		{
		     
		    cout<<"Nie"<<endl;
		}   	
	}
}